<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huiju.estateagents.mapper.TaBuildingProjectTypeMapper">

    <insert id="insertBuildingProjectTypeBatch" parameterType="list" >
        insert into ta_building_project_type
        (building_id, price, decoration, rights_year, status, building_type_id, building_type_name, start_price, end_price, price_type, market_status)
        values
        <foreach collection="list" item="item" separator=",">
            (#{buildingId}, #{item.price}, #{item.decoration}, #{item.rightsYear}
            , #{item.status}, #{item.buildingTypeId}, #{item.buildingTypeName} , #{item.startPrice}, #{item.endPrice}, #{item.priceType}, #{item.marketStatus})
        </foreach>
    </insert>

</mapper>
